aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gegl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-22 13:38:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-22 13:38:12 +0000
commite2ac44c772d819a90954e7b1001d9f77a34ea3bf (patch)
treedd61500bb5c85f0a37240434dc05b594131067eb /testing/gegl/APKBUILD
parenta9b251d4921e9ee649670ffcad6703ce411722f8 (diff)
downloadaports-e2ac44c772d819a90954e7b1001d9f77a34ea3bf.tar.gz
aports-e2ac44c772d819a90954e7b1001d9f77a34ea3bf.tar.bz2
aports-e2ac44c772d819a90954e7b1001d9f77a34ea3bf.tar.xz
testing/gegl: new aport
Graph based image processing framework http://www.gegl.org/
Diffstat (limited to 'testing/gegl/APKBUILD')
-rw-r--r--testing/gegl/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/gegl/APKBUILD b/testing/gegl/APKBUILD
new file mode 100644
index 0000000000..1db5bd38f1
--- /dev/null
+++ b/testing/gegl/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gegl
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="Graph based image processing framework"
+url="http://www.gegl.org/"
+license="GPL3 LGPL3"
+makedepends="babl-dev libpng-dev jpeg-dev gtk+-dev librsvg-dev lua-dev"
+subpackages="$pkgname-dev"
+source="ftp://ftp.gimp.org/pub/$pkgname/0.1/$pkgname-$pkgver.tar.bz2
+ gegl-uclibc.patch"
+
+depends_dev="babl-dev glib-dev"
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in "$srcdir"/*patch; do
+ patch -p1 -i "$i" || return 1
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-librsvg \
+ --disable-docs \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d35ffe17dc042652eca3205488ece262 gegl-0.1.2.tar.bz2
+e8efbd53553220b97650a3b693461fa5 gegl-uclibc.patch"